Skip to main content
`Ctrl`+`K`

# NEPSetFromOptions

Sets `NEP` options from the options database. This routine must be called before `NEPSetUp()` if the user is to be allowed to configure the solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetFromOptions(NEP nep)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Note

To see all options, run your program with the `-help` option.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetOptionsPrefix()`

## Level

beginner

## Location

src/nep/interface/nepopts.c

## Examples

src/nep/tutorials/ex42.c
src/nep/tutorials/ex20.c
src/nep/tutorials/ex54f.F90
src/nep/tutorials/ex21.c
src/nep/tutorials/ex22f.F90
src/nep/tutorials/ex27.c
src/nep/tutorials/ex20f.F90
src/nep/tutorials/ex27f.F90
src/nep/tutorials/ex22.c

## Implementations

NEPSetFromOptions_CISS() in src/nep/impls/ciss/nciss.c
NEPSetFromOptions_Interpol() in src/nep/impls/interpol/interpol.c
NEPSetFromOptions_NArnoldi() in src/nep/impls/narnoldi/narnoldi.c
NEPSetFromOptions_NLEIGS() in src/nep/impls/nleigs/nleigs.c
NEPSetFromOptions_RII() in src/nep/impls/rii/rii.c
NEPSetFromOptions_SLP() in src/nep/impls/slp/slp.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages